weka.core

## Enum RevisionUtils.Type

- java.lang.Object
- - java.lang.Enum<RevisionUtils.Type>
  - - weka.core.RevisionUtils.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RevisionUtils.Type>
  Enclosing class:
    RevisionUtils

      public static enum RevisionUtils.Type
      extends java.lang.Enum<RevisionUtils.Type>

  Enumeration of source control types.
  Version:
    $Revision: 8034 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CVS` CVS.
    `SUBVERSION` Subversion.
    `UNKNOWN` unknown source control revision.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RevisionUtils.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RevisionUtils.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final RevisionUtils.Type UNKNOWN

      unknown source control revision.

    - #### CVS

          public static final RevisionUtils.Type CVS

      CVS.

    - #### SUBVERSION

          public static final RevisionUtils.Type SUBVERSION

      Subversion.

  - ### Method Detail

    - #### values

          public static RevisionUtils.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RevisionUtils.Type c : RevisionUtils.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RevisionUtils.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null